Module triq
===========


<h1>Module triq</h1>

* [Function Index](#index)
* [Function Details](#functions)






<h2><a name="index">Function Index</a></h2>



<table width="100%" border="1" cellspacing="0" cellpadding="2" summary="function index"><tr><td valign="top"><a href="#check-1">check/1</a></td><td>
Run QuickCheck.</td></tr><tr><td valign="top"><a href="#check-2">check/2</a></td><td></td></tr><tr><td valign="top"><a href="#check-3">check/3</a></td><td>
Run QuickCheck on a property, specifying a specific example to test.</td></tr><tr><td valign="top"><a href="#counterexample-0">counterexample/0</a></td><td></td></tr><tr><td valign="top"><a href="#counterexample-1">counterexample/1</a></td><td></td></tr><tr><td valign="top"><a href="#fails-1">fails/1</a></td><td>
A Property which succeeds when its argument fails, and fails
if the argument succeeds.</td></tr><tr><td valign="top"><a href="#module-1">module/1</a></td><td>
Run QuickCheck on all properties in a module.</td></tr></table>


<a name="functions"></a>


<h2>Function Details</h2>


<a name="check-1"></a>


<h3>check/1</h3>





<tt>check(Module::atom() | <a href="#type-property">property()</a>) -> any()</tt>




Run QuickCheck.  If argument is an atom, it runs triq:module/1
checking all the properties in said module; otherwise if the
argument is a property, it runs QuickCheck on said property.

<a name="check-2"></a>


<h3>check/2</h3>





`check(Module, RunIters) -> any()`


<a name="check-3"></a>


<h3>check/3</h3>





<tt>check(Property::<a href="#type-property">property()</a>, Counterexample::[any()], RunIters::integer()) -> any()</tt>




Run QuickCheck on a property, specifying a specific example to test.
The example can be obtained by calling [`counterexample/0`](#counterexample-0).

<a name="counterexample-0"></a>


<h3>counterexample/0</h3>





`counterexample() -> any()`


<a name="counterexample-1"></a>


<h3>counterexample/1</h3>





`counterexample(Prop) -> any()`


<a name="fails-1"></a>


<h3>fails/1</h3>





<tt>fails(Prop::<a href="#type-property">property()</a>) -> <a href="#type-property">property()</a></tt>




A Property which succeeds when its argument fails, and fails
if the argument succeeds.  This is very handy for properties
that _should fail_.

<a name="module-1"></a>


<h3>module/1</h3>





<tt>module(Module::atom()) -> true | any()</tt>




Run QuickCheck on all properties in a module.
If all checks succeed, true is returned; otherwise return the
result of the first check that fails.


_Generated by EDoc, Nov 7 2010, 11:39:46._